
.chat {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.chat .pseudo {
    text-align: center;
    font-size: 1.5rem;
    font-weight: bold;
    padding-top: 0.5rem;
}

.chat .messages {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%;
    margin: 0.5rem;
    padding: 0 0.5rem;
}

.chat .messages .new-day,
.chat .messages .new-hour {
    text-align: center;
    margin: 0.25rem 0;
}

.chat .messages .message {
    flex: 0 0 auto;
    display: grid;
    margin-bottom: 0.5rem;
    align-self: flex-end;
    grid-template: "name content moment";
}

.chat .messages .message.yourself {
    align-self: flex-start;
}

.chat .messages .name {
    grid-area: name;
    display: inline-block;
    text-align: center;
    height: 1.5rem;
    line-height: 1.15rem;
    width: 1.5rem;
    border-radius: 3rem;
    border: 2px solid darkgray;
    margin-bottom: 0.25rem;
    margin-right: 0.5rem;
    align-self: flex-end;
}

.chat .messages .content {
    grid-area: content;
    background-color: #42414d;
    padding: 0.5rem 1.25rem 0.6rem;
    border-radius: 0.5rem;
    margin: 0;
    word-break: break-all;
}

.chat .messages .moment {
    grid-area: moment;
    align-self: center;
    margin-left: 0.75rem;
    margin-right: 0.25rem;
    background-color: #c0392b;
    display: inline-block;
    text-align: center;
    height: 1.5rem;
    line-height: 1.25rem;
    width: 1.5rem;
    border-radius: 3rem;
    outline: 5px solid transparent;
    padding-right: 0.05rem;
}
.chat .messages .moment:hover {
    outline-color: #7e2c22;
}

.chat .messages .time {
    max-height: 0;
    flex: 1 0 auto;
    overflow: hidden;
    transition: max-height 1s 0s;
    text-align: right;
    margin-bottom: 0.5rem;
}

.chat .messages .message:focus + .time {
    max-height: 2rem;
    transition: max-height 1s 1s;
}